List of files

Getting a paginated list of files. If you need multiple results pages, use previous/next from the response to navigate back/forth.

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Headers

AcceptstringRequired
Version header.

Query parameters

removedbooleanOptionalDefaults to false

true to only include removed files in the response, false to include existing files. Defaults to false.

storedbooleanOptional

true to only include files that were stored, false to include temporary ones. The default is unset: both stored and not stored files are returned.

limitintegerOptional1-1000Defaults to 100
A preferred amount of files in a list for a single response. Defaults to 100, while the maximum is 1000.
orderingenumOptionalDefaults to datetime_uploaded

Specifies the way files are sorted in a returned list. datetime_uploaded for ascending order, -datetime_uploaded for descending order.

Allowed values:
fromstringOptional

A starting point for filtering the files. If provided, the value MUST adhere to the ISO 8601 Extended Date/Time Format (YYYY-MM-DDTHH:MM:SSZ).

includestringOptional

Include additional fields to the file object, such as: appdata.

Response

A list of files, paginated.
nextstring or nullformat: "uri"
Next page URL.
previousstring or nullformat: "uri"
Previous page URL.
totalinteger>=0
Total number of the files of the queried type. The queried type depends on the stored and removed query parameters.
totalsobject
per_pageinteger
Number of the files per page.
resultslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error
429
Too Many Requests Error